org.eclipse.emf.facet.util.emf.core.serialization

## Interface ISerializationRegistry

    public interface ISerializationRegistry

The registry of `ISerializer`s per type.

Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ISerializationRegistry` `INSTANCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`ISerializer<?>` `getSerializerFor(java.lang.Class<?> type)`
`ISerializer<?>` `getSerializerFor(java.lang.String type)`
`java.util.List<ISerializer<?>>` `getSerializers()` Get all the serializers .

### Field Detail

#### INSTANCE

    static final ISerializationRegistry INSTANCE

### Method Detail

#### getSerializers

    java.util.List<ISerializer<?>> getSerializers()

Get all the serializers .

#### getSerializerFor

    ISerializer<?> getSerializerFor(java.lang.Class<?> type)

Returns:
  the serializer for the given type, or `null` if none has been registered. Also returns serializers for super-types of `type`.

#### getSerializerFor

    ISerializer<?> getSerializerFor(java.lang.String type)

Returns:
  the serializer for the given type qualified name, or `null` if none has been registered. Does not return serializers for super-types of `type`.